# eric7.QScintilla.Lexers.LexerCSharp

Module implementing a C# lexer with some additional methods.

### Global Attributes

None

### Classes

LexerCSharp | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerCSharp

Subclass to implement some additional lexer dependant methods.

### Derived from

Lexer, QsciLexerCSharp

### Class Attributes

None

### Class Methods

None

### Methods

LexerCSharp | Constructor
defaultKeywords | Public method to get the default keywords.
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.
maximumKeywordSet | Public method to get the maximum keyword set.

### Static Methods

None

#### LexerCSharp (Constructor)

LexerCSharp(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerCSharp.defaultKeywords

defaultKeywords(kwSet)

Public method to get the default keywords.

kwSet
  number of the keyword set (integer)

Return:
  string giving the keywords (string) or None

#### LexerCSharp.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerCSharp.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

style
  style to check (integer)

Return:
  flag indicating a comment style (boolean)

#### LexerCSharp.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

style
  style to check (integer)

Return:
  flag indicating a string style (boolean)

#### LexerCSharp.maximumKeywordSet

maximumKeywordSet()

Public method to get the maximum keyword set.

Return:
  maximum keyword set (integer)

Up